Bug 187213 - smbcacls doesn't change ownership/group
smbcacls doesn't change ownership/group
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guenther Deschner
David Lawrence
: Patch
Depends On:
Blocks: 176344 198868 222397 247538
  Show dependency treegraph
 
Reported: 2006-03-29 04:38 EST by Jose Plans
Modified: 2014-09-22 08:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2007-0698
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:14:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing the setup of a security descriptor including group/owner SIDs (775 bytes, patch)
2006-03-29 04:38 EST, Jose Plans
no flags Details | Diff
same patch but for [RHEL3] (863 bytes, patch)
2006-03-29 04:39 EST, Jose Plans
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 404 None None None Never

  None (edit)
Description Jose Plans 2006-03-29 04:38:24 EST
Description of problem:
Using smbcacls(1) command, OWNER can be modified with "-C name" option.
But OWNER cannot be modified with "-M OWNER:name" option.
In the same way, GROUP can be modified with "-G name" option.
But GROUP cannot be modified with "-M GROUP:name" option.


Version-Release number of selected component (if applicable):
RHEL4 U2
samba-3.0.10-1.4E.2

How reproducible:
Always

Steps to Reproduce:
1) execute smbcacls(1) with "-M OWNER" option.

# smbcacls //SAMBA/share testfile -U "administrator" -M "OWNER:user1"
Password:


2) check modifying OWNER name by smbcacls(1).

# smbcacls //SAMBA/share testfile -U "administrator"
Password:
REVISION:1
OWNER:administrator    <--* OWNER is not modified to user1.
GROUP:Domain Users
ACL:administrator:ALLOWED/0/FULL
ACL:Domain Users:ALLOWED/0/R
ACL:\Everyone:ALLOWED/0/R
  
Actual results:
The OWNER name is not modified.

Expected results:
The OWNER name is modified to user1.

Additional info:
This should work as stated on the smbcacls(1) man page.
I'm also attaching patches for both RHEL4 and RHEL3.
Comment 1 Jose Plans 2006-03-29 04:38:25 EST
Created attachment 126964 [details]
Patch fixing the setup of a security descriptor including group/owner SIDs
Comment 2 Jose Plans 2006-03-29 04:39:31 EST
Created attachment 126965 [details]
same patch but for [RHEL3]
Comment 3 RHEL Product and Program Management 2006-08-18 12:21:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 David Lawrence 2006-08-29 10:29:01 EDT
Good test case and patch has been submitted for fix. Should be quick to test.
QE_ACK+
Comment 15 errata-xmlrpc 2007-11-15 11:14:23 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0698.html

Note You need to log in before you can comment on or make changes to this bug.